--
-- TABLA EDITORIALES
--

CREATE TABLE EDITORIALES (
editorial         INTEGER(2) PRIMARY KEY,
nombre            VARCHAR(30) NOT NULL DEFAULT '',
localidad         VARCHAR(15)
);

INSERT INTO EDITORIALES VALUES (10, 'PARANINFO', 'MADRID');
INSERT INTO EDITORIALES VALUES (20, 'RAMA', 'MADRID');
INSERT INTO EDITORIALES VALUES (30, 'MCGRAW-HILL', 'ARAVACA');
INSERT INTO EDITORIALES VALUES (40, 'DONOSTIARRA', 'SAN SEBASTIN');

--
-- TABLA LIBROS
--

CREATE TABLE LIBROS (
codigo 		INTEGER(4) PRIMARY KEY,
titulo            VARCHAR(40) NOT NULL DEFAULT '',
autor             VARCHAR(50) NOT NULL DEFAULT '',
editorial         INTEGER(2),
unidades_vendidas INTEGER(5),
fecha_publicacion DATE
);

INSERT INTO LIBROS VALUES (1647, 'VIRUS INFORMTICOS',
      'RICHAR B.LEVIN', 30,1500, '1991-02-10');
INSERT INTO LIBROS VALUES (0281, 'GUA COMPLETA PARA PC',
      'RON GILSTER',30, 1800, '2001-11-01');
INSERT INTO LIBROS VALUES (1416, 'GUA DE SQL',
       'J.R.GROFF, P.N.WEINBERG',	30, 2301, '2000-06-01');
INSERT INTO LIBROS VALUES (3654, 'FUNDAMENTOS DE BASES DE DATOS',
       'SILBERSCHATZ, KORTH, SUDARSHAN',30, 1900, '2002-03-11');
INSERT INTO LIBROS VALUES (3214, 'INGENIERA DEL SOFTWARE',
           	 'ROGER S.PRESSMAN',30, 2300, '2002-04-04');

INSERT INTO LIBROS VALUES (9732, 'SQL PARA USUARIOS Y PROGRAMADORES',
               	'E.RIVERO, L.MARTNEZ, y otros',10, 2500, '2002-03-01');
INSERT INTO LIBROS VALUES (2232, 'SERVICIOS DE INFORMACIN ELECTRNICA', 
               	'M.GONZLEZ, R.CHAMORRO y otros',10, 1200, '1995-04-11');
INSERT INTO LIBROS VALUES (5044, 'MANTO.DE PORTALES DE INFORMACIN',
               	'E.QUERO, A.GARCA y otros',10, 600, '2006-02-01');
INSERT INTO LIBROS VALUES (8609, 'INSTALACIONES ELCTRICAS', 
               	'J.L.SANZ SERRANO',10, 1004, '2005-02-01');
INSERT INTO LIBROS VALUES (4897, 'REDES DE AREA LOCAL', 
               	'J.M.HUIDIBORO y otros',10, 500, '2006-02-01');
INSERT INTO LIBROS VALUES (7254, 'WINDOWS 2000 PROF.', 
               	'A.GONZLEZ MANGAS',10, 1500, '2002-06-05');

INSERT INTO LIBROS VALUES (530, 'DISEO Y DESARROLLO MULTIMEDIA', 
               	'M.A.CASTRO, A.COLMENAR y otros',20, 1356, '2002-11-01');
INSERT INTO LIBROS VALUES (455, 'XML A TRAVES DE EJEMPLOS', 
               	'A.GUTIRREZ, R.MARTNEZ',20, 1876, '2001-02-01');
INSERT INTO LIBROS VALUES (503, 'REDES IP', 
               	'J.G.TOMS, J.L.RAYA y otros',20, 1008, '2002-03-15');
INSERT INTO LIBROS VALUES (506, 'SQL Y JAVA', 
               	'J.MELTON, A.EISENBERG',20, 2300, '2002-01-24');

COMMIT;